org.apache.felix.gogo.runtime.threadio

## Class ThreadInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.apache.felix.gogo.runtime.threadio.ThreadInputStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class ThreadInputStream
    extends InputStream

### Constructor Summary

Constructors
Constructor and Description
`ThreadInputStream(ThreadIOImpl threadIO, InputStream in)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `available()`
`void` `close()`
`InputStream` `getRoot()` Access to the root stream through reflection
`void` `mark(int readlimit)`
`boolean` `markSupported()`
`int` `read()`
`int` `read(byte[] b)`
`int` `read(byte[] b, int off, int len)`
`void` `reset()`
`long` `skip(long n)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThreadInputStream

    public ThreadInputStream(ThreadIOImpl threadIO,
                             InputStream in)

### Method Detail

#### getRoot

    public InputStream getRoot()

Access to the root stream through reflection

Returns:
  InputStream

#### read

    public int read()
             throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] b)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

Overrides:
  `read` in class `InputStream`
Throws:
  `IOException`

#### skip

    public long skip(long n)
              throws IOException

Overrides:
  `skip` in class `InputStream`
Throws:
  `IOException`

#### available

    public int available()
                  throws IOException

Overrides:
  `available` in class `InputStream`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `InputStream`
Throws:
  `IOException`

#### mark

    public void mark(int readlimit)

Overrides:
  `mark` in class `InputStream`

#### reset

    public void reset()
               throws IOException

Overrides:
  `reset` in class `InputStream`
Throws:
  `IOException`

#### markSupported

    public boolean markSupported()

Overrides:
  `markSupported` in class `InputStream`